Learn more on how to stay protected from the latest Ransomware Pandemic
Check Point Advisories

Microsoft .NET Framework Privilege Escalation (CVE-2015-2504)

Check Point Reference: CPAI-2015-1458
Date Published: 15 Mar 2021
Severity: High
Last Updated: 15 Mar 2021
Source:
Industry Reference:CVE-2015-2504
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Microsoft .NET Framework 3.5.1
Microsoft .NET Framework 4.6
Microsoft .NET Framework 2.0 Service Pack 2
Microsoft .NET Framework 4.5/4.5.1/4.5.2
Microsoft .NET Framework 4
Microsoft .NET Framework 3.5
Vulnerability Description A privilege escalation vulnerability exists in Microsoft .NET Framework. The vulnerability is due to an issue with the way that the .NET Framework validates the number of objects in memory before copying those objects into an array. A remote attacker code exploit this vulnerability by enticing a user into opening a specially crafted page.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Microsoft .NET Framework Privilege Escalation (CVE-2015-2504) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Web Client Enforcement Violation.
Attack Information:  Microsoft .NET Framework Privilege Escalation (CVE-2015-2504)

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO